
From: Hal Rosenstock <halr@voltaire.com>

Simplify calling of list_del.

Signed-off-by: Sean Hefty <sean.hefty@intel.com>
Signed-off-by: Hal Rosenstock <halr@voltaire.com>
Cc: Roland Dreier <rolandd@cisco.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/infiniband/core/mad.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN drivers/infiniband/core/mad.c~ib-simplify-calling-of-list_del-in-mad drivers/infiniband/core/mad.c
--- 25/drivers/infiniband/core/mad.c~ib-simplify-calling-of-list_del-in-mad	Mon Jul 11 17:06:33 2005
+++ 25-akpm/drivers/infiniband/core/mad.c	Mon Jul 11 17:06:33 2005
@@ -2188,7 +2188,6 @@ static int retry_send(struct ib_mad_send
 
 	if (!ret) {
 		mad_send_wr->refcount++;
-		list_del(&mad_send_wr->agent_list);
 		list_add_tail(&mad_send_wr->agent_list,
 			      &mad_send_wr->mad_agent_priv->send_list);
 	}
@@ -2223,10 +2222,10 @@ static void timeout_sends(void *data)
 			break;
 		}
 
+		list_del(&mad_send_wr->agent_list);
 		if (!retry_send(mad_send_wr))
 			continue;
 
-		list_del(&mad_send_wr->agent_list);
 		spin_unlock_irqrestore(&mad_agent_priv->lock, flags);
 
 		mad_send_wc.wr_id = mad_send_wr->wr_id;
_
